/*##CODE-DATEI
;-------------------------------------------------------------------------------
;##Copyright        :  ABB Automation Products GmbH
;
;-------------------------------------------------------------------------------
;##System           :  CONTRANS T
;##Systemkomponente :  Temperaturmessumformer TH02
;                      (Transmitter spez. Dokument: Rev. 1)
;-------------------------------------------------------------------------------
;##Programm         :  HC-DDL
;##Modul            :  TEU211RE
;##Pfad/Datei       :  TEU211RE.DDL
;##Library/Overlay  :  -/-
;##Programmierer    :  K.Pose / PLC-Alz
;##Erst.-Datum      :  02.03.2000
;##Version/Datum    :  01.00 / 02.03.2000
;-------------------------------------------------------------------------------
;##Beschreibung     :  Definition der Zusammenhaenge zwischen einzelnen Variablen
;                      oder Variablen-Gruppen.
;
;##SPECEND
;-------------------------------------------------------------------------------
;###*/



UNIT primary_measurement_relation
{
    digital_units:                             /* folgende Variablen haben die Einheit digital_units */

        primary_measurement_digital_value,
        primary_measurement_upper_range_value,
        primary_measurement_lower_range_value,
        primary_measurement_upper_sensor_limit,
        primary_measurement_lower_sensor_limit,
        primary_measurement_minimum_span
}


UNIT sensor1_measurement_relation
{
    sensor1_digital_units:

        sensor1_measurement_digital_value
}


UNIT sensor2_measurement_relation
{
    sensor2_digital_units:

        sensor2_measurement_digital_value
}


UNIT reference_junction_temp_relation
{
    electronics_temperature_digital_units:

        electronics_temperature_digital_value
}

/* fuer AMS ausdokumentiert

REFRESH sensor_connection_relation
{
    sensor_typ:
    wire_no,
    digital_units,
    primary_measurement_upper_range_value,
    primary_measurement_lower_range_value,
    primary_measurement_upper_sensor_limit,
    primary_measurement_lower_sensor_limit,
    primary_measurement_minimum_span,
    primary_measurement_damping_value,
    sensor1_digital_units,
    sensor2_digital_units
}

*/

REFRESH primary_range_values_relation
{
    primary_measurement_upper_range_value,
    primary_measurement_lower_range_value:
    primary_measurement_digital_value
}



REFRESH refresh_ram
{
    /*
     *  nachdem das RAM neu initialisiert wurde, sollten ALLE
     *  statischen Variablen neu gelesen werden...
     */

    eeprom_select:

        /* #  1 */
        PV.DIGITAL_UNITS,          /* = digital_units                         */

        /* #  3 */
        SV.DIGITAL_UNITS,          /* = electronics_temperature_digital_units */
        TV.DIGITAL_UNITS,          /* = sensor1_digital_units                 */
        QV.DIGITAL_UNITS,          /* = sensor2_digital_units                 */

        /* # 12 */
        message,

        /* # 13 */
        tag,
        descriptor,
        date,

        /* # 14 */
        PV.SENSOR_SERIAL_NUMBER,
        PV.SENSOR_UNITS,
        PV.UPPER_SENSOR_LIMIT,
        PV.LOWER_SENSOR_LIMIT,
        PV.MINIMUM_SPAN,

        /* # 15 */
        PV.ALARM_CODE,
        PV.TRANSFER_FUNCTION,
        PV.RANGE_UNITS,
        PV.UPPER_RANGE_VALUE,
        PV.LOWER_RANGE_VALUE,
        PV.DAMPING_VALUE,

        /* # 16 */
        final_assembly_number,

        /* #48 */
        messart,
        n_sensor,
        sensor_typ,
        sensor_monitor,
        alter_selector,

        /* #132 */
        out_select,
        out_under,
        out_over,
        alter_value,

        /* #136 */
        sensor_name

}


REFRESH messart_refresh
{
    /*
     *  das Schreiben der Variablen 'messart' aendert andere  Variablen:
     */

    messart:

        /* #  3 */
        SV.DIGITAL_UNITS,          /* = electronics_temperature_digital_units */
        TV.DIGITAL_UNITS,          /* = sensor1_digital_units                 */
        QV.DIGITAL_UNITS,          /* = sensor2_digital_units                 */

        /* # 14 */
        PV.UPPER_SENSOR_LIMIT,
        PV.LOWER_SENSOR_LIMIT,
        PV.MINIMUM_SPAN
}





